Endpoints
Search all published routes, then filter by request method or integration area. Open a route to view authentication, parameters, and response details.
Showing all 135 endpoints
GET/api/integrate/export/address/{clientCode}Provides Addresses stored in the system against a particular client
Provides Addresses stored in the system against a particular client
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | clientCode | string | the unique code for the Client associated with the addresses |
Response
A list of Addresses stored in the system Address
GET/api/integrate/export/addressesProvides Addresses stored in the system with relevant clients
Provides Addresses stored in the system with relevant clients
Parameters
This endpoint has no request parameters.
Response
A list of Addresses stored in the system Address
GET/api/integrate/export/adjustment_logsProvides adjustment transactions See SystemLog
Provides adjustment transactions See SystemLog
Parameters
This endpoint has no request parameters.
Response
A list of system logs related to adjustment transactions SystemLog
GET/api/integrate/export/batch/{batchNumber}Provides a batch record See Batch
Provides a batch record See Batch
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | batchNumber | integer | The batch ID |
Response
The batch recorded with the provided batch number Batch
GET/api/integrate/export/batch_consumptionProvides a list of batch consumption events. Batch consumption occurs when any stock item is weighed into a batch. See BatchConsumption
Provides a list of batch consumption events. Batch consumption occurs when any stock item is weighed into a batch. See BatchConsumption
Parameters
This endpoint has no request parameters.
Response
A updated list of Batch Consumption logs BatchConsumption
GET/api/integrate/export/batch_consumption_log/{id}Provides batch consumption event by ID See BatchConsumption
Provides batch consumption event by ID See BatchConsumption
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | id | integer | The system log ID |
Response
The batch consumption log at the provided ID BatchConsumption
GET/api/integrate/export/batch_system_logsProvides a list of system logs which only pertain to batches. See SystemLog
Provides a list of system logs which only pertain to batches. See SystemLog
Parameters
This endpoint has no request parameters.
Response
An updated list of SystemLogs pertaining to batches SystemLog
GET/api/integrate/export/batch_system_logs/filterFrom/{filterDate}Provides a list of system logs which only pertain to batches. See SystemLog
Provides a list of system logs which only pertain to batches. See SystemLog
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | filterDate | integer | A long value representing the epoch date |
Response
An updated list of SystemLogs pertaining to batches SystemLog
GET/api/integrate/export/batch_system_logs_batch/{batchNumber}Gets Batch SystemLogs that pertain to a particular batch number.
Gets Batch SystemLogs that pertain to a particular batch number.
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | batchNumber | integer | The batchNumber to query |
Response
A list of all SystemLogs pertaining to the batch
GET/api/integrate/export/batch_system_logs_job/{jobNumber}Gets Batch SystemLogs that pertain to a particular job number
Gets Batch SystemLogs that pertain to a particular job number
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | jobNumber | string | The jobnumber to query |
Response
A list of SystemLogs pertaining to the job
GET/api/integrate/export/batchesProvides a list of any batches which haven't been previously exported. See Batch
Provides a list of any batches which haven't been previously exported. See Batch
Parameters
This endpoint has no request parameters.
Response
A list of new batches Batch
GET/api/integrate/export/client/{code}Provides a Client record See Client
Provides a Client record See Client
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | code | string | The unique code for the client |
Response
The client matching the provided code should one exist Client
GET/api/integrate/export/clientsProvides a list of clients. Suppliers and Customers. See Client
Provides a list of clients. Suppliers and Customers. See Client
Parameters
This endpoint has no request parameters.
Response
A list of the clients held in the system Client
GET/api/integrate/export/commodities/{all}Provides a list of commodities/ingredients stored in the system. See Commodity
Provides a list of commodities/ingredients stored in the system. See Commodity
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | all | boolean | boolean value to specify whether to pull all commodities (true) or just new ones (false) |
Response
A list of commodities from the system Commodity
GET/api/integrate/export/commodity/{code}Provides a specific commodity. See Commodity
Provides a specific commodity. See Commodity
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | code | string | The unique commodity code associated with this item |
Response
The commodity if found Commodity
GET/api/integrate/export/commodityGroupLink/{commodityGroupId}Provides Commodity Group Links See CommodityGroupLink
Provides Commodity Group Links See CommodityGroupLink
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | commodityGroupId | integer | The Commodity Group ID |
Response
The Commodity Group Links with the provided Commodity Group CommodityGroupLink
GET/api/integrate/export/container_linksProvides a list of containers and their contents. This could be a list of pallets with inventory on them, forming a stock master list or a list of tubs/buckets containing stock lots. See ContainerLink
Provides a list of containers and their contents. This could be a list of pallets with inventory on them, forming a stock master list or a list of tubs/buckets containing stock lots. See ContainerLink
Parameters
This endpoint has no request parameters.
Response
A list of all container links ContainerLink
GET/api/integrate/export/create_containerProvides a new container See Container
Provides a new container See Container
Parameters
This endpoint has no request parameters.
Response
The a brand new container with SSCC setup
GET/api/integrate/export/custom_fields/{name}/{parameter}Provides a list of custom fields with matching name and parameter
Provides a list of custom fields with matching name and parameter
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | name | string | The name of the custom field |
| Path | parameter | string | The label parameter to use |
Response
A list of sites Site
GET/api/integrate/export/formula/{code}Returns a formula matched by its code See Formula
Returns a formula matched by its code See Formula
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | code | string | The unique formula code |
Response
The formula matching the code parameter Formula
GET/api/integrate/export/formula_step/{code}/{sequence}Provides a formula step based on a sequence and formula code See FormulaStep
Provides a formula step based on a sequence and formula code See FormulaStep
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | code | string | The unique formula code that the step belongs to |
| Path | sequence | integer | The sequence number for the formula step |
Response
the formula step matching the parameters FormulaStep
GET/api/integrate/export/formula_steps/{all}Provides a list of formula steps in the system. See FormulaStep
Provides a list of formula steps in the system. See FormulaStep
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | all | boolean | boolean value specifies whether to pull all formula steps or only updated ones |
Response
a list of formula steps in the system FormulaStep
GET/api/integrate/export/formulasProvides a list of formulas contained within the system. This will only export the formula header data. See Formula
Provides a list of formulas contained within the system. This will only export the formula header data. See Formula
Parameters
This endpoint has no request parameters.
Response
A list of formulas Formula
GET/api/integrate/export/formulaStep/usedIn/{commodityCode}Provides a list of FormulaSteps that a commodity is used in
Provides a list of FormulaSteps that a commodity is used in
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | commodityCode | string | Represents the Commodity code to be searched for |
Response
A list of FormulaSteps where the commodity is used
GET/api/integrate/export/job/{jobNumber}Provides a job entry See Job
Provides a job entry See Job
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | jobNumber | string | The unique job number to lookup |
Response
The job in question Job
GET/api/integrate/export/job_logsReturns a list of System Logs which are related to jobs. Events which have occurred during batch production will be produced here. For example, the addition of an ingredient. See SystemLog
Returns a list of System Logs which are related to jobs. Events which have occurred during batch production will be produced here. For example, the addition of an ingredient. See SystemLog
Parameters
This endpoint has no request parameters.
Response
A list of SystemLogs SystemLog
GET/api/integrate/export/jobsProvides a list of active jobs in the system. Active jobs are defined as jobs which are not deleted or complete. See Job
Provides a list of active jobs in the system. Active jobs are defined as jobs which are not deleted or complete. See Job
Parameters
This endpoint has no request parameters.
Response
A list of active jobs Job
GET/api/integrate/export/jobs_completedProvides a list of completed jobs in the system. Completed jobs are defined as jobs which are in status 3 and exported is null See Job
Provides a list of completed jobs in the system. Completed jobs are defined as jobs which are in status 3 and exported is null See Job
Parameters
This endpoint has no request parameters.
Response
A list of completed jobs Job
GET/api/integrate/export/locations/productionProvides production type locations
Provides production type locations
Parameters
This endpoint has no request parameters.
Response
All stock type locations Location
GET/api/integrate/export/locations/stockProvides stock type locations
Provides stock type locations
Parameters
This endpoint has no request parameters.
Response
All stock type locations Location
POST/api/integrate/export/mark-exportedMarks a record exported by providing the name of the table and the ID.
Marking a record as exported prevents it from being pulled by the next get when not fetching all records.
Bear in mind this is the table name, not the object name. The difference is usually underscoring and camel-casing respectively.
Marks a record exported by providing the name of the table and the ID. Marking a record as exported prevents it from being pulled by the next get when not fetching all records. Bear in mind this is the table name, not the object name. The difference is usually underscoring and camel-casing respectively.
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | exportMarkers | list of ExportMarker | The list of table/ID pairs for marking as exported. See ExportMarker |
Response
The exportMarkers sent will be returned on success ExportMarker
GET/api/integrate/export/po_logsProvides a list of purchase order logs pertaining to events arising during purchase order receipt. See SystemLog
Provides a list of purchase order logs pertaining to events arising during purchase order receipt. See SystemLog
Parameters
This endpoint has no request parameters.
Response
A list of unexported purchase order logs SystemLog
GET/api/integrate/export/po_transactionsProvides a list of purchase order logs pertaining to events arising during purchase order receipt. Difference to above is that this will retrieve logs for PO that have NOT been completed yet See SystemLog
Provides a list of purchase order logs pertaining to events arising during purchase order receipt. Difference to above is that this will retrieve logs for PO that have NOT been completed yet See SystemLog
Parameters
This endpoint has no request parameters.
Response
A list of unexported purchase order logs SystemLog
GET/api/integrate/export/purchase_order/{orderNumber}Provides a purchase order record See PurchaseOrder
Provides a purchase order record See PurchaseOrder
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | orderNumber | string | The purchase order number |
Response
The purchase order object with lines and logs PurchaseOrder
GET/api/integrate/export/purchase_order_linesProvides a list of unexported purchase orer lines with their respective orders and related lines. Effectively This will export a PO if a line is added or removed See PurchaseOrderLine
Provides a list of unexported purchase orer lines with their respective orders and related lines. Effectively This will export a PO if a line is added or removed See PurchaseOrderLine
Parameters
This endpoint has no request parameters.
Response
The purchase order objects with lines and logs PurchaseOrder
GET/api/integrate/export/purchase_ordersProvides a list of Purchase Order headers which haven't been exported previously or have changed. This will also include the purchase order lines for each updated purchase order. See PurchaseOrder
Provides a list of Purchase Order headers which haven't been exported previously or have changed. This will also include the purchase order lines for each updated purchase order. See PurchaseOrder
Parameters
This endpoint has no request parameters.
Response
A list of purchase orders PurchaseOrder
GET/api/integrate/export/purchase_orders/{all}Provides a list of Purchase Order headers which haven't been exported previously or have changed. This will also include the purchase order lines for each updated purchase order. See PurchaseOrder
Provides a list of Purchase Order headers which haven't been exported previously or have changed. This will also include the purchase order lines for each updated purchase order. See PurchaseOrder
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | all | boolean | boolean value to specify whether to pull all purchase orders (true) or just status 4 and 6 ones (false) |
| Query | excludeStatus | string | A comma-separated list of statuses to exclude (optional) |
Response
A list of purchase orders PurchaseOrder
GET/api/integrate/export/sales_log/{id}Provides sales event log by ID See SalesLog
Provides sales event log by ID See SalesLog
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | id | integer | The sales log ID |
Response
The sales log at the provided ID SalesLog
GET/api/integrate/export/sales_logsProvides sales event log information. Sales logs are created when sales order activity is performed. This will fetch any new sales events such as stock picking. See SalesLog
Provides sales event log information. Sales logs are created when sales order activity is performed. This will fetch any new sales events such as stock picking. See SalesLog
Parameters
This endpoint has no request parameters.
Response
A list of sales logs SalesLog
GET/api/integrate/export/sales_logs/{partials}Provides sales event log information. Sales logs are created when sales order activity is performed. This will fetch any new sales events such as stock picking. this endpoint allows for the specification of whether partially shipped items should be included in the response See SalesLog
Provides sales event log information. Sales logs are created when sales order activity is performed. This will fetch any new sales events such as stock picking. this endpoint allows for the specification of whether partially shipped items should be included in the response See SalesLog
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | partials | boolean | Boolean to indicate whether to also receive partially shipped transactions |
Response
A list of sales logs SalesLog
GET/api/integrate/export/sales_logs_order_shippedProvides sales event log information. Sales logs are created when sales order activity is performed. This will fetch 'Order Shipped' records specifically See SalesLog
Provides sales event log information. Sales logs are created when sales order activity is performed. This will fetch 'Order Shipped' records specifically See SalesLog
Parameters
This endpoint has no request parameters.
Response
A list of sales logs SalesLog
GET/api/integrate/export/sales_logs_pickedProvides sales event log information. Sales logs are created when sales order activity is performed. This will fetch any new sales events such as stock picking. this endpoint exports logs as soon as they have been picked (does not wait until they have shipped) See SalesLog
Provides sales event log information. Sales logs are created when sales order activity is performed. This will fetch any new sales events such as stock picking. this endpoint exports logs as soon as they have been picked (does not wait until they have shipped) See SalesLog
Parameters
This endpoint has no request parameters.
Response
A list of sales logs SalesLog
GET/api/integrate/export/sales_order/{orderNumber}Provides a sales order record See SalesOrder
Provides a sales order record See SalesOrder
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | orderNumber | string | The sales order number |
Response
The sales order object with lines and logs SalesOrder
GET/api/integrate/export/sales_ordersProvides a list of Sales Order headers which haven't been exported previously or have changed. This will also include the sales order lines for each updated sales order. See SalesOrder
Provides a list of Sales Order headers which haven't been exported previously or have changed. This will also include the sales order lines for each updated sales order. See SalesOrder
Parameters
This endpoint has no request parameters.
Response
A list of sales orders SalesOrder
GET/api/integrate/export/sitesProvides a list of sites
Provides a list of sites
Parameters
This endpoint has no request parameters.
Response
A list of sites Site
GET/api/integrate/export/stock/{all}Provides a list of inventory in the system. The data provided is at the lot level. See StockLocation
Provides a list of inventory in the system. The data provided is at the lot level. See StockLocation
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | all | boolean | boolean value indicates whether all stock should be pulled or just updated/new stock. |
Response
A list of inventory in the system StockLocation
GET/api/integrate/export/stock/{commodityCode}/{lotNumber}Provides a stock item in the system See StockLocation
Provides a stock item in the system See StockLocation
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | commodityCode | string | The commodity to which the stock refers |
| Path | lotNumber | string | The lotNumber of the stock item |
Response
The stock details for items matching this lot and commodity code StockLocation
GET/api/integrate/export/StockAssignments/{jobNo}Returns the StockAssignments based on a job number See StockAssignment
Returns the StockAssignments based on a job number See StockAssignment
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | jobNo | string | The jobnumber to which stock has been assigned |
Response
The StockAssignments relevant to the provided job StockAssignment
GET/api/integrate/export/system_log/{id}Provides system log event by ID See SystemLog
Provides system log event by ID See SystemLog
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | id | integer | The system log ID |
Response
The system log at the provided ID SystemLog
GET/api/integrate/export/system_logsRetrieves System Logs depending on configuration. Purchase, Production and Batch logs can be excluded. See SystemLog
Retrieves System Logs depending on configuration. Purchase, Production and Batch logs can be excluded. See SystemLog
Parameters
This endpoint has no request parameters.
Response
An updated list of System Logs SystemLog
GET/api/integrate/export/system_logs_completed_cycle_countsProvides completed cycle-count transactions recorded in the system log. See SystemLog
Provides completed cycle-count transactions recorded in the system log. See SystemLog
Parameters
This endpoint has no request parameters.
Response
A list of system logs for completed cycle counts SystemLog
GET/api/integrate/export/system_logs_cpProvides transactions marked as either CONSUMED or PRODUCED by the SystemLog Descriptor See SystemLog
Provides transactions marked as either CONSUMED or PRODUCED by the SystemLog Descriptor See SystemLog
Parameters
This endpoint has no request parameters.
Response
A list of system logs related to production and consumption transactions SystemLog
GET/api/integrate/export/system_logs_non_cpProvides transactions marked as anything but CONSUMED or PRODUCED by the SystemLog Descriptor See SystemLog
Provides transactions marked as anything but CONSUMED or PRODUCED by the SystemLog Descriptor See SystemLog
Parameters
This endpoint has no request parameters.
Response
A list of system logs related to anything but production and consumption transactions SystemLog
GET/api/integrate/export/system_logs_non_cp_non_ccProvides transactions marked as anything but CONSUMED or PRODUCED and not a cycle count by the SystemLog Descriptor See SystemLog
Provides transactions marked as anything but CONSUMED or PRODUCED and not a cycle count by the SystemLog Descriptor See SystemLog
Parameters
This endpoint has no request parameters.
Response
A list of system logs related to anything but production and consumption or cycle count transactions SystemLog
GET/api/integrate/export/systemuserReturns the user who booted the API wrapped in a small client object. See User
Returns the user who booted the API wrapped in a small client object. See User
Parameters
This endpoint has no request parameters.
Response
A list of users User
GET/api/integrate/export/transactions/adjustmentsProvides a list of adjustment transactions which have occurred
Provides a list of adjustment transactions which have occurred
Parameters
This endpoint has no request parameters.
Response
A list of stock adjustment transactions which have not yet been exported. See StockTransaction
GET/api/integrate/export/transactions/batching/filterFrom/{filterDate}Provides a list of batch transactions with the allocation of a filter parameter
Provides a list of batch transactions with the allocation of a filter parameter
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | filterDate | integer | The date you wish to filter the data from. This correlates to the timestamp of the logs |
Response
A list of batch transactions such as consumption and production. See BatchTransaction
GET/api/integrate/export/transactions/batching/filterFromLog/{logId}Provides a list of batch transactions with the allocation of a filter parameter
Provides a list of batch transactions with the allocation of a filter parameter
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | logId | integer | The log ID value to filter the results from |
Response
A list of batch transactions such as consumption and production. See BatchTransaction
GET/api/integrate/export/transactions/batching/{completeBatches}Provides a list of batch transactions with the option of retrieving transactions for completed batches only.
Provides a list of batch transactions with the option of retrieving transactions for completed batches only.
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | completeBatches | boolean | Whether to retrieve transactions relating to complete batches only. |
Response
A list of batch transactions. See BatchTransaction
GET/api/integrate/export/transactions/commodity_totalsProvides a list of commodities in the system with a sum of total quantity for each See CommodityTotal
Provides a list of commodities in the system with a sum of total quantity for each See CommodityTotal
Parameters
This endpoint has no request parameters.
Response
A list of inventory in the system, grouped by commodity, with inventory totals CommodityTotal
GET/api/integrate/export/transactions/commodity_totals_per_lotProvides a list of commodities in the system with a sum of total quantity for each, split per lot See CommodityTotalPerLot
Provides a list of commodities in the system with a sum of total quantity for each, split per lot See CommodityTotalPerLot
Parameters
This endpoint has no request parameters.
Response
A list of inventory in the system, grouped by commodity, with inventory totals CommodityTotalPerLot
GET/api/integrate/export/transactions/commodity_totals_per_lot/include_expiredProvides a list of commodities in the system with a sum of total quantity for each, split per lot See CommodityTotalPerLot
Provides a list of commodities in the system with a sum of total quantity for each, split per lot See CommodityTotalPerLot
Parameters
This endpoint has no request parameters.
Response
A list of inventory in the system, grouped by commodity, with inventory totals CommodityTotalPerLot
GET/api/integrate/export/transactions/container_linksSee ContainerLinkTransaction
See ContainerLinkTransaction
Parameters
This endpoint has no request parameters.
Response
A simplified list of non-exported container links ContainerLinkTransaction
GET/api/integrate/export/transactions/internal_movementsA list of internal stock or pallet movements within the system. These are defined as movements which have not left the site.
A list of internal stock or pallet movements within the system. These are defined as movements which have not left the site.
Parameters
This endpoint has no request parameters.
Response
A list of internal stock/pallet transactions. See MovementTransaction
GET/api/integrate/export/transactions/inventory_returnProvides transactions related to PO inventory returns in a linear format.
Provides transactions related to PO inventory returns in a linear format.
Parameters
This endpoint has no request parameters.
Response
inventory return related transactions. See InventoryReturnTransaction
GET/api/integrate/export/transactions/purchaseProvides transactions related to purchase orders in a linear format.
Provides transactions related to purchase orders in a linear format.
Parameters
This endpoint has no request parameters.
Response
purchase order related transactions. See PurchaseTransaction
GET/api/integrate/export/transactions/sales/{completeOrders}Provides a list of Sales Order transactions with the option of retreiving logs for completed sales orders only.
Provides a list of Sales Order transactions with the option of retreiving logs for completed sales orders only.
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | completeOrders | boolean | Whether to retrieve transactions relating to completed orders only. |
Response
A list of sales order related transactions. See SalesTransaction
GET/api/integrate/export/transactions/transfersProvides transactions related to transfers in a linear format.
Provides transactions related to transfers in a linear format.
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Query | completed | string | whether to retrieve completed transfers only; pass true to enable the filter |
Response
completed transfer order related transactions. See TransferTransaction
GET/api/integrate/export/transfer/{referenceNumber}Provides a transfer record See Transfer
Provides a transfer record See Transfer
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | referenceNumber | string | The transfer order reference number |
Response
The transfer order object with lines and logs Transfer
GET/api/integrate/export/transfersProvides a list of Transfer headers which haven't been exported previously or have changed. This will also include the transfer order lines for each updated transfer order. See Transfer
Provides a list of Transfer headers which haven't been exported previously or have changed. This will also include the transfer order lines for each updated transfer order. See Transfer
Parameters
This endpoint has no request parameters.
Response
A list of transfers Transfer
GET/api/integrate/export/user/{username}/{pin}Returns the user represented by the username See User
Returns the user represented by the username See User
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | username | string | The unique username associated with this operator |
| Path | pin | string | The unique pin associated with this operator |
Response
The requested user object User
GET/api/integrate/export/usersReturns a list of users registered in the system.
Returns a list of users registered in the system.
Parameters
This endpoint has no request parameters.
Response
List of users registered in the system User
GET/api/integrate/helloReturns a small diagnostic client payload that confirms the integration service is responding. This health-check endpoint does not require an API key.
Returns a small diagnostic client payload that confirms the integration service is responding. This health-check endpoint does not require an API key.
Parameters
This endpoint has no request parameters.
Response
a diagnostic client list
POST/api/integrate/import/addressImports a list of addresses. These can be assigned to clients. This is where goods can be shipped to or received from. See Address
Imports a list of addresses. These can be assigned to clients. This is where goods can be shipped to or received from. See Address
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | addresses | list of Address | A list of addresses linked to clients |
Response
A saved list of addresses with response code
POST/api/integrate/import/allergenImports a list of allergens that can be used in the system. Allergens can be assigned to commodities with the allergen link import See Allergen
Imports a list of allergens that can be used in the system. Allergens can be assigned to commodities with the allergen link import See Allergen
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | allergens | list of Allergen | A list of allergens to be used |
Response
A list of saved Allergens with response code
POST/api/integrate/import/allergen_linkImports a list of links between allergens and commodities. This can be used in the same manner as the hazard link import. It allows for the assignment of allergens to particular commodities in a many-to-many link. See AllergenLink
Imports a list of links between allergens and commodities. This can be used in the same manner as the hazard link import. It allows for the assignment of allergens to particular commodities in a many-to-many link. See AllergenLink
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | allergenLinks | list of AllergenLink | A list of allergens paired with associated commodities |
Response
Returns a saved list of allergen links with response code
POST/api/integrate/import/answerImports a list of answers which can be associated to Questions. See Answer
Imports a list of answers which can be associated to Questions. See Answer
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | answers | list of Answer | A list of possible answers to Questions |
Response
A saved list of Answers with response code
POST/api/integrate/import/bulk_platformImport bulk dispense systems. Minimum requirements are a name, IP and port. Needs to be configured to communicate with the SG V5 System to work. See BulkPlatform
Import bulk dispense systems. Minimum requirements are a name, IP and port. Needs to be configured to communicate with the SG V5 System to work. See BulkPlatform
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | bulkPlatforms | list of BulkPlatform | A list of bulk platforms for import |
Response
A list of saved bulk dispense systems.
POST/api/integrate/import/clientImports a client record
A Client can be a Supplier or a Customer See Client for details
Imports a client record A Client can be a Supplier or a Customer See Client for details
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | clients | list of Client | A list of clients |
Response
A saved list of client records with response codes
POST/api/integrate/import/commodityImport a list of commodities/ingredients for use in formulas. See Commodity
Import a list of commodities/ingredients for use in formulas. See Commodity
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | commodities | list of Commodity | A list of commodities to import |
Response
A list of saved commodities with response code
POST/api/integrate/import/commodity_groupImports a commodity group. A commodity group is an umbrella association between commodities. For example; banana, strawberry, apple could all be assigned to a group called Fruit. this endpoint imports the commodity group header. See the commodity group link import for importing links This aids with reporting and other facilities within the system. See CommodityGroup
Imports a commodity group. A commodity group is an umbrella association between commodities. For example; banana, strawberry, apple could all be assigned to a group called Fruit. this endpoint imports the commodity group header. See the commodity group link import for importing links This aids with reporting and other facilities within the system. See CommodityGroup
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | commodityGroups | list of CommodityGroup | A list of commodity group headers for importing |
Response
A list of saved commodity groups with response code
POST/api/integrate/import/commodity_group_linkImports commodity group links. See the commodity group import. This allows for the linkage between commodity groups and commodities. This can be used in place of commodity group for initial creation. Any non-existant commodity groups will be created. See CommodityGroupLink
Imports commodity group links. See the commodity group import. This allows for the linkage between commodity groups and commodities. This can be used in place of commodity group for initial creation. Any non-existant commodity groups will be created. See CommodityGroupLink
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | commodityGroupLinks | list of CommodityGroupLink | A list of commodity group links for importing |
Response
A saved list of commodity groups with response code
POST/api/integrate/import/containerImports a list of containers for use in the system. See the container object for possible types. Can be used to represent any type of container, pallet, tub, carton, etc See Container
Imports a list of containers for use in the system. See the container object for possible types. Can be used to represent any type of container, pallet, tub, carton, etc See Container
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | containers | list of Container | A list of containers to import |
Response
A list of saved containers with response code
POST/api/integrate/import/container_linkImports a list of links between Containers and stock. This is used to represent stock in storage units. For example, 50LB of mushrooms in tub B or 5000LB of flour on Pallet X. Check Container for list of types. See ContainerLink
Imports a list of links between Containers and stock. This is used to represent stock in storage units. For example, 50LB of mushrooms in tub B or 5000LB of flour on Pallet X. Check Container for list of types. See ContainerLink
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | containerLinks | list of ContainerLink | A list of containerLinks for import |
Response
A saved list of container links
POST/api/integrate/import/custom_fieldImports a custom field for use on labels. This can be used for tagging data which is outside of the standard data provisions. For example, a storage temperate may want to be printed on a label, this can be linked via importing a custom field. For example STORAGE_TEMP could be provided as the label parameter and using the custom field link import, a storage temperate for a given commodity could be stored for use when printing that particular label. See CustomField
Imports a custom field for use on labels. This can be used for tagging data which is outside of the standard data provisions. For example, a storage temperate may want to be printed on a label, this can be linked via importing a custom field. For example STORAGE_TEMP could be provided as the label parameter and using the custom field link import, a storage temperate for a given commodity could be stored for use when printing that particular label. See CustomField
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | customFields | list of CustomField | A list of custom field headers for import |
Response
A saved list of custom headers
POST/api/integrate/import/custom_field_linkAs with the custom field import, This allows for the linkage to occur between a given commodity/formula to a particular custom field which has been predefined for printing on the label. See CustomFieldLink
As with the custom field import, This allows for the linkage to occur between a given commodity/formula to a particular custom field which has been predefined for printing on the label. See CustomFieldLink
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | customFieldLinks | list of CustomFieldLink | A list of links between a custom field name and a commodity code |
Response
A list of saved custom field links with response code
POST/api/integrate/import/delete_purchaseSoft-deletes an eligible purchase order and resets inventory quantities recorded against its lines. See PurchaseOrder
Soft-deletes an eligible purchase order and resets inventory quantities recorded against its lines. See PurchaseOrder
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | purchaseOrder | PurchaseOrder | the purchase order to delete |
Response
the operation result
POST/api/integrate/import/delete_salesDeletes an eligible sales order after restoring inventory from its sales logs. See SalesOrder
Deletes an eligible sales order after restoring inventory from its sales logs. See SalesOrder
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | salesOrder | SalesOrder | the sales order to delete |
Response
the operation result
POST/api/integrate/import/delete_transfer/{referenceNumber}Delete a transfer record See Transfer
Delete a transfer record See Transfer
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | referenceNumber | string | The transfer order reference number |
Response
Response
POST/api/integrate/import/formulaImport formulas/recipes with or without formula steps. Formula steps can be created and modified along with the formula header via this import. See Formula
Import formulas/recipes with or without formula steps. Formula steps can be created and modified along with the formula header via this import. See Formula
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | formulas | list of Formula | A list of formulas for import |
Response
returns a list of saved formulas with response code
POST/api/integrate/import/formula_stepImports the steps of a formula. This can be used if the formula header already exists. the formula import can be used to import the header and the lines, this endpoint can be used to just update lines. See FormulaStep
Imports the steps of a formula. This can be used if the formula header already exists. the formula import can be used to import the header and the lines, this endpoint can be used to just update lines. See FormulaStep
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | formulaSteps | list of FormulaStep | A list of formulasteps to update |
Response
A list of saved formula steps and response code
POST/api/integrate/import/hazardImports a list of hazards for use in prompting operators during system operation. This is header data and can be used to identify events during production such as 'Wear a Mask', 'Wear Eye Glasses'. See Hazard
Imports a list of hazards for use in prompting operators during system operation. This is header data and can be used to identify events during production such as 'Wear a Mask', 'Wear Eye Glasses'. See Hazard
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | hazards | list of Hazard | A list of hazards for import |
Response
A list of saved hazards with resposne code
POST/api/integrate/import/hazard_linkImports the linkage between Hazards and Commodities. Which commodities require which hazard warnings to appear. A many-to-many relationship. See HazardLink
Imports the linkage between Hazards and Commodities. Which commodities require which hazard warnings to appear. A many-to-many relationship. See HazardLink
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | hazardLinks | list of HazardLink | A list of hazards with associated commodity links |
Response
A saved list of hazard links with response code
POST/api/integrate/import/jobImports jobs for the production plan. Typically would contain a formula and quantity to be scheduled at a minimum. See Job
Imports jobs for the production plan. Typically would contain a formula and quantity to be scheduled at a minimum. See Job
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | jobs | list of Job | List of jobs for importing |
Response
Saved jobs with ID's and response code
POST/api/integrate/import/label_format_setImports label format sets. Label format sets create a group of labels which have a particular printer type. For example, one set of labels may be printed on one printer, while a different printer from a different manufacturer needs a different set of labels. Or you may want to print a different BATCH label for one product to another, setting the default label format set in the formula header. See LabelFormatSet
Imports label format sets. Label format sets create a group of labels which have a particular printer type. For example, one set of labels may be printed on one printer, while a different printer from a different manufacturer needs a different set of labels. Or you may want to print a different BATCH label for one product to another, setting the default label format set in the formula header. See LabelFormatSet
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | labelFormatSets | list of LabelFormatSet | A list of label format sets |
Response
A saved list of label format sets
POST/api/integrate/import/label_format_set_linkImports the link between label format sets and label format types with associated label data. This is essentially the label data for a given combination of format set and type. See LabelFormatSetLink
Imports the link between label format sets and label format types with associated label data. This is essentially the label data for a given combination of format set and type. See LabelFormatSetLink
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | labelFormatSetLinks | list of LabelFormatSetLink | A list of labels for a given format set and label type. |
Response
The saved list of LabelFormatSetLinks with response code
POST/api/integrate/import/label_format_typeImports a list of label format types. Label format types are specific labels which can be printed in the system. For example STOCK, BATCH, PRODUCT, etc. These rarely need altering and will be setup by the vendor. See LabelFormatType
Imports a list of label format types. Label format types are specific labels which can be printed in the system. For example STOCK, BATCH, PRODUCT, etc. These rarely need altering and will be setup by the vendor. See LabelFormatType
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | labelFormatTypes | list of LabelFormatType | A list of label format types to import |
Response
A saved list of label format types with response code
POST/api/integrate/import/label_printer_typeImports a label printer type. This can be defined as a supported printer manufacturer. Needs to be a manufacturer supported by SG V5. E.G. EPSON, INTERMEC, ZEBRA. See LabelPrinterType
Imports a label printer type. This can be defined as a supported printer manufacturer. Needs to be a manufacturer supported by SG V5. E.G. EPSON, INTERMEC, ZEBRA. See LabelPrinterType
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | labelPrinterTypes | list of LabelPrinterType | A list of label printer types for use in the V5 System |
Response
A saved list of label printer types with ID's and response codes
POST/api/integrate/import/locationImports a list of physical locations. Locations can be stock locations or production locations and can be assigned to a terminal. See Location
Imports a list of physical locations. Locations can be stock locations or production locations and can be assigned to a terminal. See Location
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | locations | list of Location | A list of locations to import |
Response
A list of saved locations with response code
POST/api/integrate/import/modify_pre_batchReplaces eligible pre-batch data and its job structure with the supplied records.
Replaces eligible pre-batch data and its job structure with the supplied records.
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | preBatches | list of PreBatch | the pre-batches to replace |
Response
the operation result Response
POST/api/integrate/import/modify_purchaseImports purchase orders. You can specify a list of purchase order lines within the object or you can just import the header data. See PurchaseOrder
Imports purchase orders. You can specify a list of purchase order lines within the object or you can just import the header data. See PurchaseOrder
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | purchaseOrders | list of PurchaseOrder | The list of purchase orders to be imported |
Response
Returns saved purchase order instances complete with IDs and response code
POST/api/integrate/import/modify_salesImports sales orders. You can specify a list of sales order lines within the object or you can just import the header data. See SalesOrder
Imports sales orders. You can specify a list of sales order lines within the object or you can just import the header data. See SalesOrder
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | salesOrders | list of SalesOrder | The list of sales orders to be imported |
Response
Returns saved sales order instances complete with ID and response code
POST/api/integrate/import/order_informationImports order information for use in purchase orders and sales orders. This can be printed on labels, reports, prompted, etc. See OrderInformation
Imports order information for use in purchase orders and sales orders. This can be printed on labels, reports, prompted, etc. See OrderInformation
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | orderInformations | list of OrderInformation | A list of order information for use with orders |
Response
A list of saved order information complete with response code
POST/api/integrate/import/pre_batchUsed for importing specific batch sizes rather than using the job import
This URI will allow for the third party to schedule batches in a specific manner rather than allowing the V5 system to use it's logic to schedule the individual batch sizes within a job See PreBatch for details
Used for importing specific batch sizes rather than using the job import This URI will allow for the third party to schedule batches in a specific manner rather than allowing the V5 system to use it's logic to schedule the individual batch sizes within a job See PreBatch for details
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | preBatches | list of PreBatch | A list of PreBatches |
Response
A saved list of Jobs
POST/api/integrate/import/production_adjustPerforms an adjustment on top level produced stock from a job
See ProductionAdjust for details
Performs an adjustment on top level produced stock from a job See ProductionAdjust for details
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | productionAdjustments | list of ProductionAdjust | a list of ProductionAdjust |
Response
The original productionAdjustments list
POST/api/integrate/import/purchaseImports purchase orders. You can specify a list of purchase order lines within the object or you can just import the header data. See PurchaseOrder
Imports purchase orders. You can specify a list of purchase order lines within the object or you can just import the header data. See PurchaseOrder
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | purchaseOrders | list of PurchaseOrder | The list of purchase orders to be imported |
Response
Returns saved purchase order instances complete with IDs and response code
POST/api/integrate/import/purchase_lineAllows for the importing of purchase order lines. Lines may be imported separately to a header and the header can be referenced from the line, however the header cannot be modified when importing a line. For header alteration use PurchaseOrder. A purchase order header must be defined and referenced prior to importing/modifying a line. See PurchaseOrderLine
Allows for the importing of purchase order lines. Lines may be imported separately to a header and the header can be referenced from the line, however the header cannot be modified when importing a line. For header alteration use PurchaseOrder. A purchase order header must be defined and referenced prior to importing/modifying a line. See PurchaseOrderLine
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | purchaseOrderLines | list of PurchaseOrderLine | A list of purchase order lines for importing |
Response
Returns a list of saved purchase order lines with response code.
POST/api/integrate/import/qa_linkImports a list of links between Questions/Messages and the events which triggers them. See the list of events that can be assigned. This can also be paired with a commodity. For example, On stock receipt of Commodity X, show this message. You can use the question import to import headers See QALink
Imports a list of links between Questions/Messages and the events which triggers them. See the list of events that can be assigned. This can also be paired with a commodity. For example, On stock receipt of Commodity X, show this message. You can use the question import to import headers See QALink
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | qaLinks | list of QALink | A list of links between questions, events and commodities with specified parameters |
Response
A saved list of QAlinks with response code
POST/api/integrate/import/reasonImports a reason record
See Reason for details
Imports a reason record See Reason for details
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | reasons | list of Reason | A list of reasons |
Response
A saved list of reason records with response codes
POST/api/integrate/import/return_purchaseorder/{lotNumber}/{commodityCode}/{quantity}Returns a quantity of an item on a Purchase Order
Returns a quantity of an item on a Purchase Order
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | lotNumber | string | The lot number to return |
| Path | commodityCode | string | The commodity code of the item to return |
| Path | quantity | number | The quantity to return |
Response
Response
POST/api/integrate/import/return_salesorder/{saleOrder}/{lotNumber}/{quantity}Returns a quantity of an item on a Sales Order
Returns a quantity of an item on a Sales Order
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | saleOrder | string | The commodity code of the item to return |
| Path | lotNumber | string | The lot number to return |
| Path | quantity | number | The quantity to return |
Response
Response
POST/api/integrate/import/salesImports sales orders. You can specify a list of sales order lines within the object or you can just import the header data. See SalesOrder
Imports sales orders. You can specify a list of sales order lines within the object or you can just import the header data. See SalesOrder
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | salesOrders | list of SalesOrder | The list of sales orders to be imported |
Response
Returns saved sales order instances complete with ID and response code
POST/api/integrate/import/sales_lineAllows for the importing of sales order lines. Lines may be imported separately to a header and the header can be referenced from the line, however the header cannot be modified when importing a line. For header alteration use SalesOrder. A sales order header must be defined and referenced prior to importing/modifying a line. See SalesOrderLine
Allows for the importing of sales order lines. Lines may be imported separately to a header and the header can be referenced from the line, however the header cannot be modified when importing a line. For header alteration use SalesOrder. A sales order header must be defined and referenced prior to importing/modifying a line. See SalesOrderLine
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | salesOrderLines | list of SalesOrderLine | A list of sales order lines for importing |
Response
Returns a list of saved sales order lines with response code.
POST/api/integrate/import/sales_line_custom_fieldImports a list of sales order line custom field headers. Similar to custom_field, this allows for the placement of sales order specific information onto shipping labels and reports. See SalesOrderLineCustomField
Imports a list of sales order line custom field headers. Similar to custom_field, this allows for the placement of sales order specific information onto shipping labels and reports. See SalesOrderLineCustomField
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | salesOrderLineCustomFields | list of SalesOrderLineCustomField | A list of sales order line custom fields links for saving |
Response
A saved list of sales order line custom field links with response code
POST/api/integrate/import/sales_line_custom_field_linkthis endpoint allows for the linkage of sales order lines to custom sales order fields for specific label printing instructions on a per sales order line basis. For example a header may be specified as FRAGILE and want to be printed on the label. Here, we can define which sales order lines require the fragile sticker and which don't. See SalesOrderLineCustomFieldLink
this endpoint allows for the linkage of sales order lines to custom sales order fields for specific label printing instructions on a per sales order line basis. For example a header may be specified as FRAGILE and want to be printed on the label. Here, we can define which sales order lines require the fragile sticker and which don't. See SalesOrderLineCustomFieldLink
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | salesOrderLineCustomFieldLinks | list of SalesOrderLineCustomFieldLink | A list of sales order line custom field links for import |
Response
A list of saved sales order line custom field links with response code
POST/api/integrate/import/siteImports a header grouping for a list of locations. Stock and production locations can be associated with a Site header to group these locations. This can be used for separating facility A from facility B when reporting or performing other functions within the system. The link exists in the location object. It's a one-to-many link. See Site
Imports a header grouping for a list of locations. Stock and production locations can be associated with a Site header to group these locations. This can be used for separating facility A from facility B when reporting or performing other functions within the system. The link exists in the location object. It's a one-to-many link. See Site
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | sites | list of Site | A list of sites for import |
Response
A saved list of sites with reponse code
POST/api/integrate/import/site_supplierImports a list of links between sites and clients (suppliers). This allows for the linkage of clients to sites which means that terminals on each site will not See suppliers for other sites. Facility A may receive sugar from Supplier B while Facility B may receive sugar from Supplier C. This aids with searching for suppliers when creating purchase orders. See SiteSupplier
Imports a list of links between sites and clients (suppliers). This allows for the linkage of clients to sites which means that terminals on each site will not See suppliers for other sites. Facility A may receive sugar from Supplier B while Facility B may receive sugar from Supplier C. This aids with searching for suppliers when creating purchase orders. See SiteSupplier
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | siteSuppliers | list of SiteSupplier | A list of site supplier links |
Response
A saved list of site suppliers along with a response code
POST/api/integrate/import/site_supplier_commodityImports a list of links between Sites and Supplier Commodities. This takes the site supplier import to the next level by linking these Supplier/Site pairs with Commodities. This works in the same way as the supplier commodity import but in a site specific manner. See SiteSupplierCommodity
Imports a list of links between Sites and Supplier Commodities. This takes the site supplier import to the next level by linking these Supplier/Site pairs with Commodities. This works in the same way as the supplier commodity import but in a site specific manner. See SiteSupplierCommodity
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | siteSupplierCommodities | list of SiteSupplierCommodity | A list of site_supplier and commodities pairs. |
Response
A saved list of SiteSupplierCommodities
POST/api/integrate/import/stockImports a stock header record. The header record contains details which pertain to a unique lot or commodity/lot combination. See StockLocation for the stock detail which links the stock with a Location.
Imports a stock header record. The header record contains details which pertain to a unique lot or commodity/lot combination. See StockLocation for the stock detail which links the stock with a Location.
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | stock | list of Stock | A list of stock header data |
Response
A saved list of stock header data with response codes
POST/api/integrate/import/stock_adjustAdjusts inventory for an existing commodity, lot, and location combination.
Adjusts inventory for an existing commodity, lot, and location combination.
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | stockAdjustment | StockAdjustment | the stock adjustment to apply |
Response
the operation result
POST/api/integrate/import/stock_assignmentImports StockAssignment records
See StockAssignment for details
Imports StockAssignment records See StockAssignment for details
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | stockAssignments | list of StockAssignment | a list of StockAssignments |
Response
A saved list of StockAssignment records
POST/api/integrate/import/stock_cl_adjustAdjusts the quantity held by an existing container link after validating its LPN, location, lot, and commodity.
Adjusts the quantity held by an existing container link after validating its LPN, location, lot, and commodity.
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | stockAdjustment | StockAdjustment | the container-linked stock adjustment to apply |
Response
the operation result
POST/api/integrate/import/stock_locationImports a stock detail record. This object binds the Stock and Location tables to provide an assessment of how much of which lot is in which location. See Stock for the stock header. See Location for the location.
Imports a stock detail record. This object binds the Stock and Location tables to provide an assessment of how much of which lot is in which location. See Stock for the stock header. See Location for the location.
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | stockLocations | list of StockLocation | A list of stock detail data |
Response
A saved list of stock detail data with response codes
POST/api/integrate/import/supplier_commodityImports a list of links between suppliers and commodities. This assigns a link between which suppliers provide which commodities. The list is many to many so a client can provide multiple suppliers which provide the same commodity and conversely, a supplier can provide multiple commodities. This aids with raising Purchase Orders in the SG V5 System. See SupplierCommodity
Imports a list of links between suppliers and commodities. This assigns a link between which suppliers provide which commodities. The list is many to many so a client can provide multiple suppliers which provide the same commodity and conversely, a supplier can provide multiple commodities. This aids with raising Purchase Orders in the SG V5 System. See SupplierCommodity
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | supplierCommodities | list of SupplierCommodity | A list of links between suppliers and commodities |
Response
The saved list of links with respone code
POST/api/integrate/import/supplier_commodity_containerImports a list of containers which are associated with a particular set of the supplier commodity import Supplier Commodity pairings. This allows for the assignment of containers/pallets/bins for use in tracking or performing scale tares, to a commodity that is linked to a supplier. For example, Supplier A provides Good X in Container Y. the supplier commodity import can be ignored if containers are also imported alongside supplier commodity pairings. See SupplierCommodityContainer
Imports a list of containers which are associated with a particular set of the supplier commodity import Supplier Commodity pairings. This allows for the assignment of containers/pallets/bins for use in tracking or performing scale tares, to a commodity that is linked to a supplier. For example, Supplier A provides Good X in Container Y. the supplier commodity import can be ignored if containers are also imported alongside supplier commodity pairings. See SupplierCommodityContainer
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | supplierCommodityContainers | list of SupplierCommodityContainer | A list of supplier commodity container links |
Response
A saved list of supplier commodity container links with ID's and response code
POST/api/integrate/import/terminalImport terminals with name and configuration. This can be a Terminal or WMS instance. Terminals are automatically created if they do not exist so pre-assigning terminals is not necessarily required. See Terminal
Import terminals with name and configuration. This can be a Terminal or WMS instance. Terminals are automatically created if they do not exist so pre-assigning terminals is not necessarily required. See Terminal
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | terminals | list of device | Terminals for import |
Response
Returns a list of saved terminals with response code
POST/api/integrate/import/terminal_locationImport a list of terminal location pairs. This assigns stock or production locations to a terminals visible range of inventory or jobs respectively. See TerminalLocation
Import a list of terminal location pairs. This assigns stock or production locations to a terminals visible range of inventory or jobs respectively. See TerminalLocation
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | terminalLocations | list of TerminalLocation | A list of terminal-location pairs. For example, Terminal 1 - Location A, Terminal 1 - Location B. |
Response
returns a list of saved terminal locations complete with response code
POST/api/integrate/import/transferImports a list of system transfer headers. A transfer represents a movement of stock from one part of the organization to another. For example, stock transfer between warehouses. See Transfer
Imports a list of system transfer headers. A transfer represents a movement of stock from one part of the organization to another. For example, stock transfer between warehouses. See Transfer
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | transfers | list of Transfer | A list of transfer headers to be imported |
Response
A list of saved transfer headers with response code
POST/api/integrate/import/transfer/{referenceNumber}/{newReferenceNumber}/{externalID}Update ReferenceNumber. A transfer represents a movement of stock from one part of the organization to another. For example, stock transfer between warehouses. See Transfer
Update ReferenceNumber. A transfer represents a movement of stock from one part of the organization to another. For example, stock transfer between warehouses. See Transfer
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Path | referenceNumber | string | The transfer order reference number |
| Path | newReferenceNumber | string | The transfer order updated reference number |
| Path | externalID | string | External ID from ERP |
Response
The transfer order object
POST/api/integrate/import/transfer_lineImports a list of transfer lines. Transfer lines specify which commodities need to be transferred and the quantity of that transfer along with a link to the transfer header. See TransferLine
Imports a list of transfer lines. Transfer lines specify which commodities need to be transferred and the quantity of that transfer along with a link to the transfer header. See TransferLine
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | transferLines | list of TransferLine | A list of transfer lines, for example Commodity A 50LB, Facility B, Transfer Order # 1234. |
Response
A saved list of transfer orders with response code
POST/api/integrate/import/unitImports a list of WeighUnits. These can be used throughout the system to determine the unit of many quantity fields. Primarily, a commodity must have a default stocking unit. See WeightUnit
Imports a list of WeighUnits. These can be used throughout the system to determine the unit of many quantity fields. Primarily, a commodity must have a default stocking unit. See WeightUnit
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | units | list of WeightUnit | A list of units |
Response
A list of saved units with response code
POST/api/integrate/import/unit_commodityImports a list of units with associated commodities. Conversion values are specified as a numeric division of the base system unit. For example, if the system uses LB as the base unit, the value specified should be how many gallons in an LB. this endpoint allows for specific definition of conversion rates for particular commodities. For example, a gallon of water and a gallon of oil would have a different conversion rate to LB. If no conversion is specified here, the default conversion in the WeightUnit table is used. See UnitCommodity
Imports a list of units with associated commodities. Conversion values are specified as a numeric division of the base system unit. For example, if the system uses LB as the base unit, the value specified should be how many gallons in an LB. this endpoint allows for specific definition of conversion rates for particular commodities. For example, a gallon of water and a gallon of oil would have a different conversion rate to LB. If no conversion is specified here, the default conversion in the WeightUnit table is used. See UnitCommodity
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | unitCommodities | list of UnitCommodity | A list of units with associated specific commodity links |
Response
A saved list of unit commodities with response code
POST/api/integrate/import/userImports operator profiles which use the system. Providing a username and various options you can create users with this endpoint. See User
Imports operator profiles which use the system. Providing a username and various options you can create users with this endpoint. See User
Parameters
| Location | Name | Type | Description |
|---|---|---|---|
| Request body | users | list of User | A list of users to import |
Response
A list of saved users plus response code
GET/api/integrate/userReturns the user associated with the active authenticated API context.
Returns the user associated with the active authenticated API context.
Parameters
This endpoint has no request parameters.
Response
the active user
GET/api/integrate/versionReturns the runtime version reported by the V5 API application. This diagnostic endpoint does not require an API key.
Returns the runtime version reported by the V5 API application. This diagnostic endpoint does not require an API key.
Parameters
This endpoint has no request parameters.
Response
the current API runtime version
No endpoints found
Try fewer search terms or reset the method and area filters.